Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action
Class CollectionRemoveAction

    java.lang.Object
      org.hibernate.action.CollectionAction
          org.hibernate.action.CollectionRemoveAction

All Implemented Interfaces:
  Serializable, Comparable, Executable

    public final class CollectionRemoveAction

extends CollectionAction

See Also:
  Serialized Form

Constructor Summary
`CollectionRemoveAction(Object affectedOwner, CollectionPersister persister, Serializable id, boolean emptySnapshot, SessionImplementor session)` Removes a persistent collection from a specified owner.
`CollectionRemoveAction(PersistentCollection collection, CollectionPersister persister, Serializable id, boolean emptySnapshot, SessionImplementor session)` Removes a persistent collection from its loaded owner.

Method Summary
`void` | `execute()` Execute this action

Methods inherited from class org.hibernate.action.CollectionAction
`afterTransactionCompletion, beforeExecutions, compareTo, evict, getCollection, getKey, getPersister, getPropertySpaces, getSession, hasAfterTransactionCompletion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionRemoveAction

    public CollectionRemoveAction(PersistentCollection collection,
                                  CollectionPersister persister,
                                  Serializable id,
                                  boolean emptySnapshot,
                                  SessionImplementor session)
                           throws CacheException

  Removes a persistent collection from its loaded owner. Use this constructor when the collection is non-null.

  Parameters:
    `collection` - The collection to to remove; must be non-null
    `persister` - The collection's persister
    `id` - The collection key
    `emptySnapshot` - Indicates if the snapshot is empty
    `session` - The session
  Throws:
    `AssertionFailure` - if collection is null.
    `CacheException`

### CollectionRemoveAction

    public CollectionRemoveAction(Object affectedOwner,
                                  CollectionPersister persister,
                                  Serializable id,
                                  boolean emptySnapshot,
                                  SessionImplementor session)
                           throws CacheException

  Removes a persistent collection from a specified owner. Use this constructor when the collection to be removed has not been loaded.

  Parameters:
    `affectedOwner` - The collection's owner; must be non-null
    `persister` - The collection's persister
    `id` - The collection key
    `emptySnapshot` - Indicates if the snapshot is empty
    `session` - The session
  Throws:
    `AssertionFailure` - if affectedOwner is null.
    `CacheException`

Method Detail

### execute

    public void execute()
                 throws HibernateException

  Description copied from interface: `Executable`
  Execute this action

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD